org.apache.sysds.runtime.controlprogram.federated

## Class FederatedData

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.federated.FederatedData

- Direct Known Subclasses:
    FederatedLocalData

      public class FederatedData
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FederatedData(Types.DataType dataType, InetSocketAddress address, String filepath)`
    `FederatedData(Types.DataType dataType, InetSocketAddress address, String filepath, long varID)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `clearFederatedWorkers()`
    `FederatedData` | `copyWithNewID(long varID)` Make a copy of the `FederatedData` metadata, but use another varID (refer to another object on worker)
    `Future<FederatedResponse>` | `executeFederatedOperation(FederatedRequest... request)`
    `static Future<FederatedResponse>` | `executeFederatedOperation(InetSocketAddress address, FederatedRequest... request)` Executes an federated operation on a federated worker.
    `InetSocketAddress` | `getAddress()`
    `Types.DataType` | `getDataType()`
    `String` | `getFilepath()`
    `long` | `getVarID()`
    `Future<FederatedResponse>` | `initFederatedData(long id)`
    `Future<FederatedResponse>` | `initFederatedData(long id, MetaData mtd)`
    `boolean` | `isInitialized()`
    `static void` | `resetFederatedSites()`
    `void` | `setVarID(long varID)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FederatedData

          public FederatedData(Types.DataType dataType,
                               InetSocketAddress address,
                               String filepath)

    - #### FederatedData

          public FederatedData(Types.DataType dataType,
                               InetSocketAddress address,
                               String filepath,
                               long varID)

  - ### Method Detail

    - #### getAddress

          public InetSocketAddress getAddress()

    - #### setVarID

          public void setVarID(long varID)

    - #### getVarID

          public long getVarID()

    - #### getFilepath

          public String getFilepath()

    - #### getDataType

          public Types.DataType getDataType()

    - #### isInitialized

          public boolean isInitialized()

    - #### copyWithNewID

          public FederatedData copyWithNewID(long varID)

      Make a copy of the `FederatedData` metadata, but use another varID (refer to another object on worker)
      Parameters:
        `varID` - the varID of the variable we refer to
      Returns:
        new `FederatedData` with different varID set

    - #### initFederatedData

          public Future<FederatedResponse> initFederatedData(long id)

    - #### initFederatedData

          public Future<FederatedResponse> initFederatedData(long id,
                                                             MetaData mtd)

    - #### executeFederatedOperation

          public Future<FederatedResponse> executeFederatedOperation(FederatedRequest... request)

    - #### executeFederatedOperation

          public static Future<FederatedResponse> executeFederatedOperation(InetSocketAddress address,
                                                                            FederatedRequest... request)
                                                                     throws SSLException

      Executes an federated operation on a federated worker.
      Parameters:
        `address` - socket address (incl host and port)
        `request` - the requested operation
      Returns:
        the response
      Throws:
        `SSLException` - Throws an SSL exception if the ssl construction fails.

    - #### clearFederatedWorkers

          public static void clearFederatedWorkers()

    - #### resetFederatedSites

          public static void resetFederatedSites()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 The Apache Software Foundation. All rights reserved.